Create a resource

Create a new resource

Create resources programmatically.

👍

🔒Only available on Platform plan

Creating resources through the API is locked on the Essential and Professional plans. Please see our pricing page.

📘

Will your resources log into Timekit?

It's possible for the resources you add to Timekit to log in and use the Timekit admin interface to manage their bookings. All you need to do is to provide their email address when you sign them up via the API. You can also provide a password - or they can create one themselves afterwards.

📘

Sample Metadata

You can add metadata to a resource to help you search for specific resources. An example would look like:

{
"meta": {
"t_enabled": true,
"t_ref_num": "Mcfly",
"t_speciality": "immunization",
"t_store_id": 145
}
}

🚧

What if I get a "Email already exists" when I create a resource?

You can invite the resource to your app instead, see this endpoint:

https://developers.timekit.io/reference/appsinvite

Body Params
string
required

Set the name of the resource

string
required

Timezone of the resources

string

Email of the resources. Only required if resources need to log in to the Timekit admin (see the blue box below).

string

First name of the resources, useful if you're creating users as resources

string

Last name of the resources

string

Password of the resources (if not set, a random password will be assigned - can be reset subsequently)

availability_constraints
array

Define resource-level availability constraints to be used by our POST /availability endpoint. Lean more

availability_constraints
string

Url of an image representing the resource

Responses

Language
Credentials
Header
Request
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json